# Parse CVS records
# - CSV input: a,"b,c",d
# - CSVMODE=1: <a,"b,c",d> --> <a><"b,c"><d>
# - CSVMODE=-1: <a|b,c|d> --> <a><b,c><d>

@include "csvmode"
BEGIN { CSVOFS = "|" }
FNR==1 { print "CSVMODE=" CSVMODE }
{
    print "<" $0 ">"
    for (k=1; k<=NF; k++) {
        printf("<%s>", $k)
    }
    print ""
}
